<template>
  <div class="preview-map">
    <cesium-map :options="options">
      <el-button class="btn" @click="backClick">返回</el-button>
    </cesium-map>
  </div>
</template>

<script setup>
import CesiumMap from '@/components/CesiumMap/index.vue';

const props = defineProps({
  options: {
    type: Object,
    default: () => {
      return {}
    }
  }
})

const emits = defineEmits(['back'])

const backClick = () => {
  emits('back');
}

</script>

<style lang="scss" scoped>
.preview-map {
  z-index: 2;
  position: absolute;
  top: 10px;
  left: 10px;
  bottom: 10px;
  right: 10px;
  background: #fff;
  .btn {
    position: absolute;
    left: 10px;
    top: 10px;
    z-index: 4;
  }
}
</style>